Package Details: qownnotes 19.11.10-1

Git Clone URL: https://aur.archlinux.org/qownnotes.git (read-only)
Package Base: qownnotes
Description: Plain-text file markdown note taking with Nextcloud/ownCloud integration. This package is the "official" release of QOwnNotes on AUR.
Upstream URL: https://www.qownnotes.org/
Keywords: markdown Nextcloud note-taking notepad ownCloud qt5 todo-list
Licenses: GPL2
Submitter: Midov
Maintainer: pbek
Last Packager: pbek
Votes: 88
Popularity: 3.77
First Submitted: 2015-11-07 14:02
Last Updated: 2019-11-11 18:26

Latest Comments

« First ‹ Previous ... 6 7 8 9 10 11

pbek commented on 2016-01-30 11:13

Wow, the Arch community is the greatest!
You guys were actually faster creating an Arch repository for QOwnNotes than me! :) Thank you @Midov! Great job!

For the sake of continuity and to make sure everything is updated even faster I started to maintain a "official" repository at https://aur.archlinux.org/packages/qownnotes-pbek/ and will update it as part of my build process.

In addition there also is a pacman repository (done with Open Build Service).
See: http://www.qownnotes.org/installation#Arch

madjo commented on 2016-01-08 22:32

qt5-script is also a dependency.

Midov commented on 2016-01-08 07:28

I was checking out develop since it says on qownnotes website to do so in instalation instructions.

" Alternatively you can also checkout the code directly from the git repository:
git clone https://github.com/pbek/QOwnNotes.git -b develop "

Also, last time i checked it was exactly the same as master, but i guess you are right - we should be using something more stable.

Thanks for your input, its changed now.

computerfr33k commented on 2016-01-08 04:24

Why do u have it checking out the devel branch in the build function?

Not sure why you would choose a development branch to build.
Here is a way to download the latest tag (manually updated) and then build it. No longer build the development branch since it isn't stable/production and is actually broken at the moment.

http://slexy.org/view/s20A5yfl8N

alex.theoto commented on 2016-01-03 15:34

You need to add 'qt5-svg' as dependence.
You can remove the qownnotes.desktop file since you don't use it.
Git url works fine (for now).

You have to change the qownnotes.desktop link into:
install -Dm644 "${srcdir}/${_pkgname}/src/QOwnNotes.desktop" "${pkgdir}/usr/share/applications/qownnotes.desktop"

Thank you.

computerfr33k commented on 2015-11-25 19:29

You would probably have to hard-code the tag version since it doesn't match up directly to the package version.

You could do something like this: git://github.com/pbek/QOwnNotes.git#tag=linux-b538

which would pull the 538 version.

Midov commented on 2015-11-25 19:02

Hey computerfr33k,
Thanks for your help, i added the desktop file.

Im not exactly clear how to get proper version from git tags since they also have tags for mac and windows versions so i will try to figure it out later.

computerfr33k commented on 2015-11-25 19:02

There is a missing " in the PKGBUILD file on line 31 by the way.

computerfr33k commented on 2015-11-25 16:16

I would also suggest specifying the tag for the sources so that it downloads the tag for the package version, because I have a newer version installed than this package version since it downloads the latest master by default.

https://wiki.archlinux.org/index.php/VCS_package_guidelines#VCS_sources

computerfr33k commented on 2015-11-25 16:13

Here is a desktop file so that you can launch the program from the menu without having to type it in the command line.

http://pastebin.com/zFA9w7py